Postgres 9 sobre debian wheezy

Dudas y comentarios relacionadas con paquetes o programas específicos (obtención, uso, actualizaciones, versiones, problemas de instalación, etc.)
Responder
angeli_daniel
Forista Nuevo
Forista Nuevo
Mensajes: 2
Registrado: Lun Jun 21, 2021 6:41 pm

Postgres 9 sobre debian wheezy

Mensaje por angeli_daniel »

Hola a todos...
Necesito recuperar un server que corre una aplicacion de telefonia IP sobre debian 7 (wheezy) y una base de datos Postgresql 9.6
Pude instalar Debian 7 sin problemas pero no fui capaz de instalar postgres 9.6 siguiendo este procedimiento.

+ Create a Debian sources list file (e.g. pgdg.list) `nano /etc/apt/sources.list.d/pgdg.list`
+ Add the following line and save the file `deb http://apt.postgresql.org/pub/repos/apt/ wheezy-pgdg main`
+ Import the repository signing key
`wget https://www.postgresql.org/media/keys/ACCC4CF8.asc`
`apt-key add ACCC4CF8.asc`
+ Update the package lists
`apt-get update`

apt-get update devuelve el siguiente error

root@medispine:~# apt-get update
Ign http://apt.postgresql.org wheezy-pgdg Release.gpg
Get:1 http://archive.debian.org wheezy Release.gpg [2,373 B]
Ign http://apt.postgresql.org wheezy-pgdg Release
Get:2 http://archive.debian.org wheezy/updates Release.gpg [1,601 B]
Hit http://archive.debian.org wheezy Release
Hit http://archive.debian.org wheezy/updates Release
Hit http://archive.debian.org wheezy/contrib Translation-en
Hit http://archive.debian.org wheezy/main Translation-en
Hit http://archive.debian.org wheezy/non-free Translation-en
Hit http://archive.debian.org wheezy/updates/contrib Translation-en
Err http://apt.postgresql.org wheezy-pgdg/main amd64 Packages
404 Not Found [IP: 2a02:16a8:dc51::55 80]
Hit http://archive.debian.org wheezy/updates/main Translation-en
Ign http://apt.postgresql.org wheezy-pgdg/main Translation-en_US
Hit http://archive.debian.org wheezy/updates/non-free Translation-en
Ign http://apt.postgresql.org wheezy-pgdg/main Translation-en
Hit http://archive.debian.org wheezy/contrib amd64 Packages
Hit http://archive.debian.org wheezy/main amd64 Packages
Hit http://archive.debian.org wheezy/non-free amd64 Packages
Hit http://archive.debian.org wheezy/updates/contrib amd64 Packages
Hit http://archive.debian.org wheezy/updates/main amd64 Packages
Hit http://archive.debian.org wheezy/updates/non-free amd64 Packages
Fetched 3,974 B in 6s (656 B/s)
N: Ignoring file 'ACCC4CF8.asc' in directory '/etc/apt/apt.conf.d/' as it has an invalid filename extension
W: Failed to fetch http://apt.postgresql.org/pub/repos/apt ... 4/Packages 404 Not Found [IP: 2a02:16a8:dc51::55 80]

E: Some index files failed to download. They have been ignored, or old ones used instead.


Otra prueba que hice fue instalar Debian desde cero, luego modifique el archivo /etc/apt/source.list para agregar estas lineas

deb http://apt-archive.postgresql.org/pub/repos/apt wheezy-pgdg-archive main
deb-src http://apt-archive.postgresql.org/pub/repos/apt wheezy-pgdg-archive main

En este caso apt-get update me devuelve el siguiente error

root@debian:~# apt-get update
Hit http://archive.debian.org wheezy Release.gpg
Hit http://archive.debian.org wheezy/updates Release.gpg
Hit http://archive.debian.org wheezy Release
Hit http://archive.debian.org wheezy/updates Release
Hit http://archive.debian.org wheezy/contrib Translation-en
Hit http://archive.debian.org wheezy/main Translation-en
Hit http://archive.debian.org wheezy/non-free Translation-en
Hit http://archive.debian.org wheezy/updates/contrib Translation-en
Hit http://archive.debian.org wheezy/updates/main Translation-en
Hit http://archive.debian.org wheezy/updates/non-free Translation-en
Hit http://archive.debian.org wheezy/contrib amd64 Packages
Hit http://archive.debian.org wheezy/main amd64 Packages
Hit http://archive.debian.org wheezy/non-free amd64 Packages
Hit http://archive.debian.org wheezy/updates/contrib amd64 Packages
Hit http://archive.debian.org wheezy/updates/main amd64 Packages
Hit http://archive.debian.org wheezy/updates/non-free amd64 Packages
Ign http://apt-archive.postgresql.org wheezy-pgdg-archive Release.gpg
Ign http://apt-archive.postgresql.org wheezy-pgdg-archive Release
Err http://apt-archive.postgresql.org wheezy-pgdg-archive/main Sources
301 Moved Permanently [IP: 65.8.183.27 80]
Err http://apt-archive.postgresql.org wheezy-pgdg-archive/main amd64 Packages
301 Moved Permanently [IP: 65.8.183.27 80]
Ign http://apt-archive.postgresql.org wheezy-pgdg-archive/main Translation-en_US
Ign http://apt-archive.postgresql.org wheezy-pgdg-archive/main Translation-en
W: Failed to fetch http://apt-archive.postgresql.org/pub/r ... ce/Sources 301 Moved Permanently [IP: 65.8.183.27 80]

W: Failed to fetch http://apt-archive.postgresql.org/pub/r ... 4/Packages 301 Moved Permanently [IP: 65.8.183.27 80]

E: Some index files failed to download. They have been ignored, or old ones used instead.

Alguno Me podria ayudar con este problema?
Basicamente necesito poder instalar postgresql 9.6 en debian 7.

Desde ya muchas gracias!

Daniel Angeli

Avatar de Usuario
doc
Forista Ancestral
Forista Ancestral
Mensajes: 3630
Registrado: Mié Ago 11, 2010 10:32 am
Ubicación: Oviedo-es_ES
Contactar:

Re: Postgres 9 sobre debian wheezy

Mensaje por doc »

quizás lo primero que habría que saber es si es necesario instalarlo sobre Debian 7 wheezy, que en una versión que Debian ya no la califica ni como 'old-stable' sino, directamente, como 'obsoleta'. Me refiero a que a lo mejor la Organización Debian ya no la mantiene, y hasta ha vaciado los repositorios de esta distribución... y de ahi los problemas que tienes.
Pienso que una forma de saberlo sería tratando de instalarla no desde un CD/DVD 'completo', sino desde una ISO 'netinstall' que, para poder instalarse, tenga que descargar los paquetes desde los repositorios.

(claro que otra teoría es que es servidor que hayas definido para los repositorios no esté funcionando bien en estos momentos. Prueba con otro servidor, por ejemplo yo, desde España, suelo usar los de Francia, o incluso los de Finlandia, que (curiosamente...) siempre me han funcionado mejor que los españoles).

(Una observación final: veo que el paquete 'postgresql 9.6' es el correspondiente a Debian 9 stretch, no a Debian 7 wheezy. Es mas, Debian 8 usa la versión 9.4, o sea que Debian 7 posiblemente use, incluso, una versión anterior)

angeli_daniel
Forista Nuevo
Forista Nuevo
Mensajes: 2
Registrado: Lun Jun 21, 2021 6:41 pm

Re: Postgres 9 sobre debian wheezy

Mensaje por angeli_daniel »

Hola Doc, gracias por responder.
Efectivamente debian 7 esta como obsoleta y ya no puedo instalarla desde una ISO Netinstall (al menos utilizando el repositorio de US)
El paquete de postgres que uso es efectivamente el 9.6.
Como decía en el post anterior, lo necesito para recuperar una PBX IP, que ya no tiene más desarrollo y no es compatible con otra versión de Debian.
Habra alguna manera de instalar postgres 9.6 aunque sea desde el código fuente solo por esta vez?

Desde ya muchas gracias!

Avatar de Usuario
doc
Forista Ancestral
Forista Ancestral
Mensajes: 3630
Registrado: Mié Ago 11, 2010 10:32 am
Ubicación: Oviedo-es_ES
Contactar:

Re: Postgres 9 sobre debian wheezy

Mensaje por doc »

pues esto ya... ni idea. Lo único que se me ocurre es que te descargues el *.deb de ese programa y que intentes instalarlo por ejemplo a través de GDebi. Entonces de diría las 'dependencias' que no cumple, que deberías tratar, a su vez, de descargarlas e instalarlas, a ver si, al final, consigues que se te instale el 'postgresql 9.6' que tanto necesitas.

Hombre, y se me ocurre otra cosa más: que "es hora de dejar de re-asfaltar los viejos caminos"... (y de pensar en crear nuevas y más modernas carreteras)
Suerte...

Responder
  • Temas similares
    Respuestas
    Vistas
    Último mensaje